package org.hmn.jrsd.demo;

import org.hmn.jrsd.demo.orm.FRIENDS;

/*
 * 
 * Cree par Harry Karadimas a 10 sept. 08
 */
/**
 * A friend, represented by a POJO (Plain Old Java Object), or better said,
 * a java "bean", because setters and getters are used to access the values.
 * This object will be filled automatically from a {@link FRIENDS} record,
 * using jrsd.
 */
public class Friend
{
  private String firstName;
  private String lastName;
  private int friendId;
  private String phoneNumber;
  private String remarks;
  
  public String getFirstName() {
    return firstName;
  }
  public void setFirstName(String firstName) {
    this.firstName = firstName;
  }
  public String getLastName() {
    return lastName;
  }
  public void setLastName(String lastName) {
    this.lastName = lastName;
  }
  public int getFriendId() {
    return friendId;
  }
  public void setFriendId(int friendId) {
    this.friendId = friendId;
  }
  public String getPhoneNumber() {
    return phoneNumber;
  }
  public void setPhoneNumber(String phoneNumber) {
    this.phoneNumber = phoneNumber;
  }
  public String getRemarks() {
    return remarks;
  }
  public void setRemarks(String remarks) {
    this.remarks = remarks;
  }
}
