package org.hmn.jrsd.test;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

import org.apache.log4j.Logger;
import org.hmn.jrsd.rt.SormUtils;

import simpleorm.sessionjdbc.SSessionJdbc;

public class OraErrorReporting
extends OraJrsdTestCase
{
  static Logger lg = Logger.getLogger(OraErrorReporting.class);
  
  public void testErrorReporting()
  throws Exception 
  {
    SSessionJdbc s = beginConnection("testErrorReporting");
    String sql = "SELECT BAR_ID, NAME, AMOUNT, NONEXIST FROM BAR";
    Statement st = s.getJdbcConnection().createStatement();
    try {
      ResultSet rs = st.executeQuery(sql);
      //normally we never get here
      while (rs.next()) {
        rs.getString(1);
      }
      rs.close();
    }
    catch (SQLException ex) {
      lg.error("Oracle exception", ex);
      lg.error(SormUtils.getChainedDumps(ex));
    }
    finally {
      st.close();
      endConnection();
    }
  }
  
}
