package org.hmn.jrsd.demo;

import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.Frame;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.ArrayList;
import java.util.List;

import javax.sql.DataSource;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTable;

/*
 * 
 * Cree par Harry Karadimas a 17 sept. 08
 */
public class ChooseFriendDialog 
extends JDialog
{
  JavaBeansTableModel tm;
  JTable tableFriends;
  JScrollPane spFriends;
  JPanel pnlButtons = new JPanel();
  JButton btnOk = new JButton("OK");
  JButton btnCancel = new JButton("Cancel");
  Friend selectedFriend;
  
  public ChooseFriendDialog(Frame owner, JavaBeansTableModel tm) {
    super(owner, "Choose the friend you lend the CDS to", true);
    this.tm = tm;
    tableFriends = new JTable(tm);
    spFriends = new JScrollPane(tableFriends);
    btnOk.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        doOk();
      }
    });
    btnCancel.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        doCancel();
      }
    });
    pnlButtons.add(btnOk);
    pnlButtons.add(btnCancel);
    Container cp = getContentPane();
    cp.add(spFriends, BorderLayout.CENTER);
    cp.add(pnlButtons, BorderLayout.SOUTH);    
  }
  
  private void doOk() {
    int selRow = tableFriends.getSelectedRow();
    if (selRow >= 0) selectedFriend = (Friend) tm.getBean(selRow);    
    dispose();
  }
  
  private void doCancel() {
    dispose();
  }

  public Friend getSelectedFriend() {    
    return selectedFriend;
  }
  
}
