package org.hmn.jrsd.demo;

import javax.sql.DataSource;
import javax.swing.event.TableModelEvent;
import javax.swing.event.TableModelListener;

import org.hmn.jrsd.demo.orm.FRIENDS;

import simpleorm.sessionjdbc.SSessionJdbc;

/*
 * 
 * Cree par Harry Karadimas a 15 sept. 08
 */
public class FriendUpdateListener
implements TableModelListener
{
  DataSource ds;
  
  public FriendUpdateListener(DataSource ds) {
    this.ds = ds;
  }
  
  public void tableChanged(TableModelEvent e) {    
    if (e.getType() == TableModelEvent.UPDATE) {
      int row = e.getFirstRow();
      JavaBeansTableModel tm = (JavaBeansTableModel) e.getSource();
      Friend f = (Friend) tm.getBean(row);
      SSessionJdbc s = SSessionJdbc.getThreadLocalSession();
      if (s != null) s.close();
      s = SSessionJdbc.open(ds, "FriendUpdateListener");
      try { FRIENDS.updateFriend(s, f); }
      finally { s.close(); }
    }
  }
  
}
