package org.hmn.jrsd.demo.orm;

import java.util.ArrayList;
import java.util.List;

import org.hmn.jrsd.demo.Friend;

import simpleorm.dataset.SDataSet;
import simpleorm.dataset.SQuery;
import simpleorm.sessionjdbc.SSessionJdbc;

/*
 * 
 * Cree par Harry Karadimas a 8 sept. 08
 */
public class FRIENDS
extends FRIENDS_gen
{

  private static final long serialVersionUID = -2697618273312462100L;

  /**
   * 
   * @param session A session that has not yet begun
   * @return
   */
  public static List<Friend> selectAllFriends(SSessionJdbc session)
  {
    session.begin();
    SQuery<FRIENDS> q = new SQuery<FRIENDS>(meta);
    q.ascending(cLAST_NAME);
    q.ascending(cFIRST_NAME);
    List<FRIENDS> recs = session.query(q);
    List<Friend> lst = makeFriends(recs);    
    session.commit();
    return lst;
  }
  
  public static void updateFriend(SSessionJdbc s, Friend f)
  {
    s.begin();
    FRIENDS rec = s.find(meta, f.getFriendId());
    if (rec == null) {
      System.out.println("Friend #"+f.getFriendId()+" not found");
    }
    else {
      rec.readFrom(f);      
    }
    s.commit();    
  }

}
