package org.hmn.jrsd.test;

import java.util.Calendar;
import java.util.Date;

import org.hmn.jrsd.rt.ReflectionHelpers;

import junit.framework.TestCase;

/*
 * 
 * Cree par Harry Karadimas a 11 fvr. 08
 */
public class ReflectionCopyTests extends TestCase
{
  public void testCopy() throws Exception {
    SimpleTypeA a = new SimpleTypeA();
    Calendar cal = Calendar.getInstance();
    cal.clear();
    cal.set(1984, 3, 12);
    Date d =  new Date(cal.getTimeInMillis());
    a.aDate = d;
    a.aLong = 1232L;
    a.anotherLong = 999999L;
    a.aName = "Some name";
    a.anInt = 121;
    a.aNumber = "12345";
    SimpleTypeB b = new SimpleTypeB();
    ReflectionHelpers.copyFromTo(a, b);
    boolean dump = false;
    if (dump) {
      System.out.println("b.aLong="+b.aLong);
      System.out.println("b.aName="+b.aName);
      System.out.println("b.anInt="+b.anInt);
      System.out.println("b.anotherLong="+b.anotherLong);
      System.out.println("b.aDate="+b.aDate);
      System.out.println("b.aNumber="+b.aNumber);
    }
    assertEquals(0, b.aLong);
    assertEquals("Some name", b.aName);
    assertEquals(121, b.anInt);
    assertEquals(0, b.anotherLong);
    assertEquals(d, b.aDate);
    assertEquals(0, b.aNumber);
  }
  
}
