package org.hmn.jrsd.test;

import org.hmn.jrsd.rt.SormUtils;

/*
 * 
 * Cree par Harry Karadimas a 5 oct. 2006
 */
/**
 * 
 * @author karadimas
 */
public class SIMPLE_TABLE_Init
{

  static public void init_SIMPLE_TABLE()
  throws Exception
  {
    String tableName;
    tableName = TransactionTests.getTableName();
    if (!SormUtils.tableExists(tableName)) {
      System.out.println("Creating table "+tableName);
      SormUtils.ddl("CREATE TABLE "+tableName+" (" +
          "  ID integer," + 
          "  NAME varchar(32)," + 
          "  DESCR varchar(32)," +                    
          "  PRIMARY KEY (ID)" +
          ")");
    }
    SormUtils.ddl("DELETE FROM "+tableName);
    String colList = "ID,NAME,DESCR";
    SormUtils.ddl("INSERT INTO "+tableName+"("+colList+") " +
      "VALUES (1, 'FIRST REC', 'RECORD WITH ID=1')");
    SormUtils.ddl("INSERT INTO "+tableName+"("+colList+") " +
      "VALUES (2, 'SECOND REC', 'RECORD WITH ID=2')");
    SormUtils.ddl("INSERT INTO "+tableName+"("+colList+") " +
      "VALUES (3, 'THIRD REC', null)");
  }

}
