package org.hmn.jrsd.rt;

import java.sql.Clob;
import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * Use with {@link SormUtils#selectExtra(simpleorm.sessionjdbc.SSessionJdbc, simpleorm.dataset.SRecordInstance, String, ResultSetColVisitable)}
 * @author Karadimas
 *
 */
public class ClobCollectVisitor 
implements ResultSetColVisitable 
{
  private Clob clb;
  
  public void visit(ResultSet rs)
  throws ResultSetColVisitException, SQLException
  { clb = rs.getClob(1); }

  public Clob getClob() { return clb; }

  public void setClob(Clob clob) { this.clb = clob; }
  
}
