package org.hmn.jrsd.rt.dbops;

import java.io.IOException;
import java.sql.SQLException;


/*
 * 
 * Cree par Harry Karadimas a 1 avr. 08
 */
/**
 * Ancestor of operations that execute and return something (a scalar object),
 * a Blob or something else.
 */
abstract
public class DbObjectBlobOperation
extends DbOperation
{ 
  
  public int getOpType() { return OBJECT_OP; }
  
  abstract public Object execute()
  throws SQLException, IOException
  ;
}
